package edu.sc.seis.gee.task;

import java.util.Map;
import edu.sc.seis.gee.CommonAccess;
import edu.sc.seis.gee.configurator.ConfigurationException;

/**
 * AbsoluteTimeTask.java
 *
 *
 * Created: Tue Jul 16 13:21:16 2002
 *
 * @author <a href="mailto:">Charlie Groves</a>
 * @version
 */

public class DisplayResetTask implements Task{
    public void configure(Map params)throws ConfigurationException{
        this.params = params;
        if(params.containsKey("timeConfigHolder")){
            timeTarget = (ColumnSeismogramTask)CommonAccess.getCommonAccess().getTaskAction((String)params.get("timeConfigHolder")).getTask();
        }else{
            throw new ConfigurationException("AbsoluteTimeTask requires a timeConfigHolder!");
        }
    }

    public void invoke(){
        timeTarget.getDisplay().reset();
    }

    public void destroy(){}

    protected Map params;

    protected ColumnSeismogramTask timeTarget;
}// AbsoluteTimeTask
